%define nordugrid_location /opt/nordugrid
%define monitor_prefix     %{nordugrid_location}/share/gridmonitor

Summary: NorduGrid ToolKit
Name: nordugrid-arc
Version: 0.8.2
Release: 0.rc3%{?dist}
URL: http://www.nordugrid.org/
Source: %{name}-%{version}rc3.tar.gz
Prefix: %{nordugrid_location}
License: ASL 2.0
Group: NorduGrid
Obsoletes: %{name}-compat < 0.8.2-1
Obsoletes: %{name}-httpsd < 0.8.2-1
Obsoletes: %{name}-logger-server < 0.8.2-1
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gsoap-devel >= 2.7.2
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: globus-common-devel
BuildRequires: globus-ftp-client-devel
BuildRequires: globus-ftp-control-devel
BuildRequires: globus-gass-transfer-devel
BuildRequires: globus-gsi-credential-devel
BuildRequires: globus-gsi-sysconfig-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: globus-io-devel
BuildRequires: openldap-devel
BuildRequires: globus-rls-client-devel
BuildRequires: globus-rsl-devel
BuildRequires: gettext
BuildRequires: python-devel
BuildRequires: voms-devel
%if %{?fedora}%{!?fedora:0} >= 12 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires: libuuid-devel
%else
BuildRequires: e2fsprogs-devel
%endif
BuildRequires: lfc-devel

%description
NorduGrid ToolKit

%package ca-utils
Summary: NorduGrid authentication tools
Group: NorduGrid
Requires: wget
%description ca-utils
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package includes authentication utilities. At the moment it is
limited to the CRL update script.

%package client
Summary: Command line interface of the ARC grid middleware
Group: NorduGrid
Requires: %{name}-libs = %{version}-%{release}
%description client
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package contains the ARC client tools. It comprises all the
command line utilities that one needs to submit jobs to the grid, query
their status and to collect the results. It also contains generic data
management tools which can be used with a variety of Grid and non-Grid
protocols and services.

%package doc
Summary: ARC documentation
Group: NorduGrid
%description doc
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package includes ARC documentation.

%package gridftpd
Summary: ARC gridftp server
Group: NorduGrid
Requires: %{name}-libs = %{version}-%{release}
%description gridftpd
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package comprises the ARC gridftpd service. This service is a
GridFTP server implementation, extended to enable Grid job submission,
monitoring and retrieval by ARC clients. These jobs are processed by
the grid-manager. The gridftpd service also provides a secure Grid
interface to local file systems.

%package grid-manager
Summary: ARC grid-manager
Group: NorduGrid
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-infosys-ldap = %{version}-%{release}
Requires: time
Requires: perl-Digest-SHA1
%description grid-manager
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package comprises the ARC grid-manager. The grid-manager manages
Grid jobs submitted to a computing resource. It is responsible for
gathering input data and distributing output data, and for submission
to and monitoring of the underlying batch system processing the jobs.

%package gridmap-utils
Summary: NorudGrid authorization tools
Group: NorduGrid
Requires: perl
#Requires: curl
Requires: perl-Crypt-SSLeay
%description gridmap-utils
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package contains the ARC authorization machinery.
A prominent tool distributed in this package is the nordugridmap
script to collect user information from the virtual organisations.
Also, the updating of certificate revocation lists is performed
by the utilities provided in this package.

%package infosys-ldap
Summary: ARC LDAP based information system
Group: NorduGrid
Requires: openldap-servers
Requires: bdii
Provides: %{name}-infoindex = %{version}-%{release}
Obsoletes: %{name}-infoindex < 0.8.2-1
%description infosys-ldap
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package contains the ARC information system services.

The package provided as a replacment of the older Globus MDS based
information index server. It uses the same interfaces but can be
deployed using the standard slapd server.

%package libs-devel
Summary: ARC development files
Group: NorduGrid
Requires: %{name}-libs = %{version}-%{release}
%description libs-devel
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package includes the files for developing application using the
ARC libraries. It includes header files and static libraries.

%package libs
Summary: ARC runtime libraries
Group: NorduGrid
%description libs
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package contains ARC runtime libraries.

%package monitor
Summary: ARC Grid Monitor
Group: NorduGrid
Prefix: %{monitor_prefix}
%description monitor
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package includes PHP scripts for the ARC Grid Monitor. An example
of such monitor can be viewed from the NorduGrid Web site. This package
requires a Web server.

%package python
Summary: ARC Python bindings
Group: NorduGrid
Requires: %{name}-libs = %{version}-%{release}
%description python
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package contains the ARC Python bindings.

%package server
Summary: Metapackage containing all basic ARC services
Group: NorduGrid
Requires: %{name}-gridftpd = %{version}-%{release}
Requires: %{name}-grid-manager = %{version}-%{release}
Requires: %{name}-infosys-ldap = %{version}-%{release}
%description server
The Advanced Resource Connector (ARC) middleware by NorduGrid is a
software solution that uses Grid technologies to enable sharing and
federation of computing and storage resources distributed across
different administrative and application domains. ARC is used to
create Grid infrastructures of various scope and complexity, from
campus to national Grids.

This package is a metapackage containing the base ARC services.

%prep
%setup -q -n %{name}-%{version}rc3

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{nordugrid_location} --disable-pkgdirs \
              --with-sysv-scripts-location=%{_initrddir} \
              --with-monitor-prefix=%{monitor_prefix} \
              --with-cron-scripts-prefix=%{_sysconfdir}/cron.d \
              --with-profile-scripts-prefix=%{_sysconfdir}/profile.d \
              --enable-docs && \
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*plugin*{.a,.la}
rm -f ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*arc-infoindex-slapd-wrapper*{.a,.la}
rm -f ${RPM_BUILD_ROOT}`python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" | sed 's!/usr!%{nordugrid_location}!'`/*arclib*{.a,.la,.pyc,.pyo}

# Make filelists
for i in build/*.filelist ; do
  build/mkfilelist $i rpm > `basename $i`
done

%clean
rm -rf $RPM_BUILD_ROOT

%files ca-utils -f ca-utils.filelist
%defattr(-,root,root)

%files client -f client.filelist
%defattr(-,root,root)

%files doc -f doc.filelist
%defattr(-,root,root)

%files gridftpd -f gridftpd.filelist
%defattr(-,root,root)

%files grid-manager -f grid-manager.filelist
%defattr(-,root,root)

%files gridmap-utils -f gridmap-utils.filelist
%defattr(-,root,root)

%files infosys-ldap -f infosys-ldap.filelist
%defattr(-,root,root)

%files libs-devel -f libs-devel.filelist
%defattr(-,root,root)

%files libs -f libs.filelist
%defattr(-,root,root)

%files monitor -f monitor.filelist
%defattr(-,root,root)

%files python -f python.filelist
%defattr(-,root,root)

%files server -f server.filelist
%defattr(-,root,root)

%changelog
* Fri May 21 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.2-0.rc3
- 0.8.2 release candidate 3

* Fri May 07 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.2-0.rc2
- 0.8.2 release candidate 2

* Fri Apr 22 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.2-0.rc1
- 0.8.2 release candidate 1

* Wed Mar 24 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.2-0.b
- 0.8.2 beta release

* Mon Mar 08 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.2-0.a
- 0.8.2 alpha release

* Tue Feb 23 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-2
- Rebuilt for Globus Toolkit 5

* Mon Jan 25 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-1
- Final 0.8.1.1 release

* Tue Jan 19 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-0.rc2
- 0.8.1.1 release candidate 2

* Tue Dec 15 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-0.rc1
- 0.8.1.1 release candidate 1

* Fri Nov 06 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-1
- Final 0.8.1 release

* Mon Oct 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-0.rc2
- 0.8.1 release candidate 2

* Tue Oct 20 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-0.rc1
- 0.8.1 release candidate 1

* Tue Oct 13 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-0.b
- 0.8.1 beta

* Sat Sep 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.0-1
- Final 0.8.0 release

* Tue Sep 22 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.0-0.rc3.1
- Add missing options to configure

* Thu Sep 17 2009 Anders Waananen <waananen@nbi.dk> - 0.8.0-0.rc3
- Specfile automatically generated

* Fri May 03 2002 Anders Waananen <waananen@nbi.dk>
- Initial build.
